Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command
Class HoverManager

    java.lang.Object
      com.pietschy.command.HoverManager

    public class HoverManager

extends java.lang.Object

Provides support for monitoring hover events within a given window.

Method Summary
`void` | `addHoverListener(HoverListener l)` Adds a `HoverListener` to the HoverManager.
`static HoverManager` | `getInstanceFor(java.awt.Window window)` Deprecated. use `GuiCommands.getHoverManagerFor(Window)` instead.
`static void` | `registerCommand(Command command)` Invoked during command construction to register a command wih the manager.
`void` | `removeHoverListener(HoverListener l)` Removes the `HoverListener` from the HoverManager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### registerCommand

    public static void registerCommand(Command command)

  Invoked during command construction to register a command wih the manager.

  Parameters:
    `command` - the command to register.

### getInstanceFor

    public static HoverManager getInstanceFor(java.awt.Window window)

  Deprecated. use `GuiCommands.getHoverManagerFor(Window)` instead.

  Get the manager that will fire events for command hoverings in the specified window.

  Parameters:
    `window` - the window of interest.
  Returns:
    the hover manager for the specified window.

### addHoverListener

    public void addHoverListener(HoverListener l)

  Adds a `HoverListener` to the HoverManager. The listener will be notified when ever the mouse hovers over a command.

  Parameters:
    `l` - the hover listener
  See Also:
    `HoverListener`, `removeHoverListener(com.pietschy.command.HoverListener)`

### removeHoverListener

    public void removeHoverListener(HoverListener l)

  Removes the `HoverListener` from the HoverManager.

  Parameters:
    `l` - the hover listener
  See Also:
    `HoverListener`, `addHoverListener(com.pietschy.command.HoverListener)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch